require "dns_domain_checker/version"
require "dnsruby"

module DnsDomainChecker
  include Dnsruby

  def self.available(domain)
    begin
		res = Dnsruby::Resolver.new
		ret = res.query(domain, Types.TXT)
		return false
	rescue
		return true
	end
  end
end
